{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% trans_default_domain 'forms' %}

{%- block strong_password_row -%}
    {{- block('form_rows') -}}
    <div class="small-box bg-gray-light form-group">
        <div class="icon-heading">
            <i class="fa fa-info-circle"></i>
        </div>
        <div class="inner text-xs">
            {{ "strong_password.help.intro" | trans }} :
            <ul class="mb-0">
                <li>{{ "strong_password.help.length" | trans({"%count%": min_length}) | raw }}</li>
                <li>{{ "strong_password.help.new" | trans | raw }}</li>
                <li>{{ "strong_password.help.contains" | trans | raw }} :
                    <ul>
                        <li>{{ "strong_password.help.contains_items.0" | trans }}</li>
                        <li>{{ "strong_password.help.contains_items.1" | trans }}</li>
                        <li>{{ "strong_password.help.contains_items.2" | trans }}</li>
                        <li>{{ "strong_password.help.contains_items.3" | trans }}</li>
                    </ul>
                </li>
            </ul>
        </div>
    </div>
{%- endblock strong_password_row -%}
